Skip to main content
GET
Get allocation

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this allocation.

Response

Serializer for Allocation model (create, read, update).

id
string<uuid>
required
read-only
tenant
string<uuid>
required
tenant_name
string
required
read-only
site
string<uuid>
required
site_name
string
required
read-only
start_at
string<date-time>
required
end_at
string<date-time>
required
devices
string<uuid>[]
required
read-only
device_names
string[]
required
read-only
device_count
integer
required
read-only
rack_names
string[]
required
read-only
location_names
string[]
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only

Serializer for allocation links.

annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.